NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ShipDesign::MarkingLineDesignBuilder Class Reference

Represents a new MarkingLine Feature builder. More...

Inheritance diagram for NXOpen::Features::ShipDesign::MarkingLineDesignBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance for marking lines. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for marking lines. More...
 
void GetMarkingLineInformation (NXOpen::ICurve *curve, std::vector< NXOpen::Face * > &placementFaces, std::vector< NXOpen::Face * > &targetFaces)
 Get the information from the marking line feature to create a fillet type welding joint. More...
 
NXOpen::SelectDisplayableObjectListGridPlanes ()
 Returns the collection of planes defining all the intersections on the profiles and plates. More...
 
bool IsMarkingLineFeature (NXOpen::Features::Feature *frecTag)
 Is the feature a marking line feature. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance for marking lines. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for marking lines. More...
 
void SetUseExistingCuttingSideFace (bool useExistingCuttingSideFace)
 Sets the option to decide if the current cutting side faces are used(true) or if the cutting side faces should be recalculated(false). More...
 
bool UseExistingCuttingSideFace ()
 Returns the option to decide if the current cutting side faces are used(true) or if the cutting side faces should be recalculated(false). More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a new MarkingLine Feature builder.

This class is used in the process of creating or editing a marking line feature.
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateMarkingLineDesignBuilder

Created in NX8.0.0.

Member Function Documentation

double NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::AngleTolerance ( )

Returns the angle tolerance for marking lines.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::DistanceTolerance ( )

Returns the distance tolerance for marking lines.


Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::GetMarkingLineInformation ( NXOpen::ICurve curve,
std::vector< NXOpen::Face * > &  placementFaces,
std::vector< NXOpen::Face * > &  targetFaces 
)

Get the information from the marking line feature to create a fillet type welding joint.

Specifically the target and placement faces
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
curve(I) - Marking line curve.
placementFaces(OF) - a set of cutting side faces that place marking line
targetFaces(OF) - a set of molding faces that generated the marking line
NXOpen::SelectDisplayableObjectList* NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::GridPlanes ( )

Returns the collection of planes defining all the intersections on the profiles and plates.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::IsMarkingLineFeature ( NXOpen::Features::Feature frecTag)

Is the feature a marking line feature.

Returns
(O) - is a marking line feature
Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")
Parameters
frecTag(I) - feature to check
void NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance for marking lines.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
angleToleranceangletolerance
void NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for marking lines.


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::SetUseExistingCuttingSideFace ( bool  useExistingCuttingSideFace)

Sets the option to decide if the current cutting side faces are used(true) or if the cutting side faces should be recalculated(false).


Created in NX8.0.0.

License requirements : nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

Parameters
useExistingCuttingSideFaceuseexistingcuttingsideface
bool NXOpen::Features::ShipDesign::MarkingLineDesignBuilder::UseExistingCuttingSideFace ( )

Returns the option to decide if the current cutting side faces are used(true) or if the cutting side faces should be recalculated(false).


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.